# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`login_defs`](#login_defs): Manage the configuration control definitions for the login package

### Data types

* [`Login_Defs::Option`](#Login_Defs--Option): login.defs option

## Classes

### <a name="login_defs"></a>`login_defs`

Manage the configuration control definitions for the login package

#### Parameters

The following parameters are available in the `login_defs` class:

* [`options`](#-login_defs--options)
* [`package_ensure`](#-login_defs--package_ensure)
* [`package_manage`](#-login_defs--package_manage)
* [`package_name`](#-login_defs--package_name)
* [`owner`](#-login_defs--owner)
* [`group`](#-login_defs--group)
* [`mode`](#-login_defs--mode)

##### <a name="-login_defs--options"></a>`options`

Data type: `Hash[String, Login_Defs::Option]`

A hash of options to configure /etc/login.defs

Default value: `undef`

##### <a name="-login_defs--package_ensure"></a>`package_ensure`

Data type: `String`

The login/shadow util package state to use when using $package_manage

Default value: `'installed'`

##### <a name="-login_defs--package_manage"></a>`package_manage`

Data type: `Boolean`

Set to true to manage the login/shadow utility package

Default value: `false`

##### <a name="-login_defs--package_name"></a>`package_name`

Data type: `String[1]`

The package name to use when managing the login/shadow utility package

Default value: `undef`

##### <a name="-login_defs--owner"></a>`owner`

Data type: `Variant[String[1], Integer]`

The owner to set on /etc/login.defs

Default value: `'root'`

##### <a name="-login_defs--group"></a>`group`

Data type: `Variant[String[1], Integer]`

The group to set on /etc/login.defs

Default value: `0`

##### <a name="-login_defs--mode"></a>`mode`

Data type: `String[3,4]`

The mode to set on /etc/login.defs

Default value: `'0644'`

## Data types

### <a name="Login_Defs--Option"></a>`Login_Defs::Option`

login.defs option

Alias of

```puppet
Struct[{
    Optional['key']     => String,
    Optional['comment'] => String,
    Optional['enabled'] => Boolean,
    'value'             => Variant[String, Integer],
  }]
```

